Solid Edge FrameworkSupport Type Library
GetTextAtIndex Method
Specifies the index of the text for which you want information. The index begins at zero.
Specifies the text.
Coordinates of the origin of the text.
Coordinates of the origin of the text.
Coordinates of the origin of the text.
Coordinates of the origin of the x-direction vector of the text string.
Coordinates of the origin of the x-direction vector of the text string.
Coordinates of the origin of the x-direction vector of the text string.
Coordinates of the origin of the normal vector of the text string.
Coordinates of the origin of the normal vector of the text string.
Coordinates of the origin of the normal vector of the text string.
Description
This method returns information for the specified text.
Syntax
Visual Basic
Public Sub GetTextAtIndex( _
   ByVal Index As Long, _
   ByRef TextString As String, _
   ByRef OriginX As Double, _
   ByRef OriginY As Double, _
   ByRef OriginZ As Double, _
   ByRef X_DirX As Double, _
   ByRef X_DirY As Double, _
   ByRef X_DirZ As Double, _
   ByRef Z_DirX As Double, _
   ByRef Z_DirY As Double, _
   ByRef Z_DirZ As Double _
) 
Parameters
Index
Specifies the index of the text for which you want information. The index begins at zero.
TextString
Specifies the text.
OriginX
Coordinates of the origin of the text.
OriginY
Coordinates of the origin of the text.
OriginZ
Coordinates of the origin of the text.
X_DirX
Coordinates of the origin of the x-direction vector of the text string.
X_DirY
Coordinates of the origin of the x-direction vector of the text string.
X_DirZ
Coordinates of the origin of the x-direction vector of the text string.
Z_DirX
Coordinates of the origin of the normal vector of the text string.
Z_DirY
Coordinates of the origin of the normal vector of the text string.
Z_DirZ
Coordinates of the origin of the normal vector of the text string.
Remarks
Both the X and Z direction vectors are normalized to be unit vectors.  The Y direction vector can be computed by taking the cross product of the Z and X direction vectors, i.e. Y = Z CROSS X.

The Origin and direction vectors define a local coordinate system used to define the display of the text.  The text is displayed in the XY plane defined by this local coordinate system and the text is oriented, or written, along the X direction vector in that plane.
Example
Imports System.Runtime.InteropServices
Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgeDraft.DraftDocument = Nothing
        Dim objSheet As SolidEdgeDraft.Sheet = Nothing
        Dim objline As SolidEdgeFrameworkSupport.Line2d = Nothing
        Dim objDim As SolidEdgeFrameworkSupport.Dimension = Nothing
        Dim objDims As SolidEdgeFrameworkSupport.Dimensions = Nothing
        Dim x, y, xx, yx, zx, xz, yz, z, zz As Double
        Dim DimData As SolidEdgeFrameworkSupport.DisplayData = Nothing
        Dim str1 As String = ""
        Dim i, j, count As Integer

        ' Create/get the application with specific settings
        Try
            objApp = Marshal.GetActiveObject("SolidEdge.Application")

            'objApp = CreateObject("SolidEdge.Application")
            'Open a document having dimensions in it
            objDoc = objApp.ActiveDocument 
            objApp.Visible = True

            'getting the Active Sheet object
            objSheet = objDoc.ActiveSheet
            objDims = objSheet.Dimensions
            For j = 1 To objDims.Count
                objDim = objDims.Item(j)
                DimData = objDim.GetDisplayData()
                count = DimData.GetTextCount
                For i = 0 To count - 1
                    DimData.GetTextAtIndex(i, str1, x, y, z, xx, yx, zx, xz, yz, zz)
                    MsgBox(xx.ToString + " " + yx.ToString + " " + zx.ToString)
                Next
            Next

        Catch ex As Exception
            MsgBox(ex.ToString)
        Finally

        End Try

    End Sub

End Class
See Also

DisplayData Object  | DisplayData Members